using System;

class Rekursion
{
    static long Faculty(long number)
    {
        if (number < 0)
            return -1;                        // Fehler

        if (number == 0)
            return 1;

        return (number * Faculty(number - 1));
    }

    static void Main()
    {
        Console.Write("\n Geben Sie eine Zahl zwischen 0 und 21 ein: ");
        int n = Convert.ToInt32(Console.ReadLine());

        long fac = Faculty(n);

        Console.WriteLine(" Fakultät: {0}", fac);
    }
}
